import os


class Config:
    SECRET_KEY = os.environ.get('SECRET_KEY', os.urandom(12))

    SENTRY_DSN = os.environ.get("SENTRY_DSN")
    RELEASE_ID = os.environ.get("RELEASE_ID", "test")
    RELEASEMODE = os.environ.get("RELEASEMODE", "dev")
    MODEL_INFO_URL = os.environ.get("MODEL_INFO_URL", "http://model-service/model/svm/$default")
    INPUT_SERVICE_URL = os.environ.get("INPUT_SERVICE_URL", "http://input-service/input")

    DROPALL = os.environ.get("DROPALL", "no").lower() in ['yes', 'true', '1']

    REPORT_ALIAS = os.environ.get("REPORT_ALIAS", os.environ['HOSTNAME'])
    REPORT_URL = os.environ.get("REPORT_URL", "")
    REPORT_INTERVAL = int(os.environ.get("REPORT_INTERVAL", 15))
